Delete Protection Policy
delete
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/protectionPolicies/{protectionPolicyName}
Delete a protection policy from a Recovery Appliance.
Request
Path Parameters
-
protectionPolicyName(required): string
Protection policy name.Example:
SILVER -
raTargetId(required): string
Recovery Appliance Target id.Example:
F76BBCCBD8A0D4719A8AA588375FA8BE
Header Parameters
-
ORCL-EM-ZDLRATARGET-AUTHORIZATION(required): string
Recovery Appliance Administrator Credentials. The format must be NAMED:
(e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials. Example:NAMED:ORSADMIN
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
202 Response
Accepted
Headers
-
Content-Location:
Execution details of the deployment procedure submitted.
Root Schema : ProtectionPolicyDPSubmission
Type:
objectProtection policy deployment procedure status.
Show Source
-
code(required): integer
HTTP status code.
-
executionId(required): string
Procedure submission id.
-
instanceName(required): string
Procedure instance name.
-
procedureId(required): string
Procedure submission id.
-
submissionBy(required): string
Name of the Enterprise Manager user who submitted the deployment procedure.
-
submissionName(required): string
Name of the submitted deployment procedure.
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message